Imagick::exportImagePixels
Imagick::flattenImages
Imagick
PHP Manual

# Imagick::extentImage

Set image size

### Description

bool Imagick::extentImage ( int `$width` , int `$height` , int `$x` , int `$y` )

Comfortability method for setting image size. The method sets the image size and allows setting x,y coordinates where the new area begins. This method is available if Imagick has been compiled against ImageMagick version 6.3.1 or newer.

### Parameters

`width`

  The new width

`height`

  The new height

`x`

  X position for the new size

`y`

  Y position for the new size

### Return Values

Returns `TRUE` on success.

### See Also

- Imagick::resizeImage
- Imagick::thumbnailImage
- Imagick::cropImage